Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122245

Summary: Review Request: nodejs-thunkify - Turn callbacks, arrays, generators, and more into thunks
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 18:51:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1122229    

Description Ralph Bean 2014-07-22 19:06:44 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-thunkify.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-thunkify-2.1.2-1.fc20.src.rpm

Description:
Turn a regular node function into one which returns a thunk, useful for
generator-based flow control such as https://github.com/visionmedia/co

Comment 1 Parag AN(पराग) 2014-07-23 14:03:18 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-thunkify.noarch: W: only-non-binary-in-usr-lib
nodejs-thunkify.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :38308ec23e761e69077652851759db00cf79d43f7830cb99f10c02cfa8b19179
upstream tarball :38308ec23e761e69077652851759db00cf79d43f7830cb99f10c02cfa8b19179

+ License "MIT" is valid.

+ rest looks following packaging guidelines.

Suggestions:
1) include Readme.md as %doc

2) Ask upstream to provide license text in any way with upstream tarball.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:37:05 UTC
New Package SCM Request
=======================
Package Name: nodejs-thunkify
Short Description: Turn callbacks, arrays, generators, and more into thunks
Upstream URL: https://npmjs.org/package/thunkify
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:48:48 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 18:47:27 UTC
nodejs-thunkify-2.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-thunkify-2.1.2-1.fc20

Comment 5 Fedora Update System 2014-07-23 18:47:37 UTC
nodejs-thunkify-2.1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-thunkify-2.1.2-1.fc19

Comment 6 Ralph Bean 2014-07-23 18:51:02 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:56:17 UTC
nodejs-thunkify-2.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:56:23 UTC
nodejs-thunkify-2.1.2-1.fc19 has been pushed to the Fedora 19 stable repository.